<template>

  <div class="auth">
    <div class="auth__wrapper">
      <div class="header">
        <div class="header__container">
          <img src="@/assets/images/logo.png" alt="LOGO" class="header__icon">
          <p class="header__company-name">CryptoUnicorn</p>
        </div>
        <div class="header__container">
          <router-link to="/" class="header__btn">На главную</router-link>
        </div>
      </div>

      <div class="auth__content">

        <p class="auth__content-top-text">Управляйте финансами</p>
        <h1 class="auth__content-title">
          Нет аккаунта? <br /><span>Зарегистрируйтесь</span>
        </h1>

        <form class="auth__form">
          <div class="auth__form-input-el auth__form-input-el_50">
            <div class="auth__form-input-el-content">
              <label for="" class="auth__form-input-el-content-label">Имя</label>
              <input type="text" class="auth__form-input-el-content-input" placeholder="Введите ваше имя">
            </div>
            <div class="auth__form-input-el-icon">
              <img src="@/assets/images/icons/login.svg" alt="Иконка логина" class="auth__form-input-el-icon_img">
            </div>
          </div>

          <div class="auth__form-input-el auth__form-input-el_50">
            <div class="auth__form-input-el-content">
              <label for="" class="auth__form-input-el-content-label">Фамилия</label>
              <input type="text" class="auth__form-input-el-content-input" placeholder="Введите вашу фамилию">
            </div>
            <div class="auth__form-input-el-icon">
              <img src="@/assets/images/icons/login.svg" alt="Иконка логина" class="auth__form-input-el-icon_img">
            </div>
          </div>

          <div class="auth__form-input-el">
            <div class="auth__form-input-el-content">
              <label for="" class="auth__form-input-el-content-label">Логин</label>
              <input type="text" class="auth__form-input-el-content-input" placeholder="Введите ваш логин">
            </div>
            <div class="auth__form-input-el-icon">
              <img src="@/assets/images/icons/login.svg" alt="Иконка логина" class="auth__form-input-el-icon_img">
            </div>
          </div>

          <div class="auth__form-input-el">
            <div class="auth__form-input-el-content">
              <label for="" class="auth__form-input-el-content-label">Пароль</label>
              <input type="password" class="auth__form-input-el-content-input" placeholder="Введите пароль">
            </div>
            <div class="auth__form-input-el-icon">
              <img src="@/assets/images/icons/pass.svg" alt="Иконка пароля" class="auth__form-input-el-icon_img">
            </div>
          </div>
          <button type="submit" class="auth__form-btn">Зарегистрироваться</button>
          <p class="auth__form-no-acc">Есть аккаунт? <router-link to="/" class="auth__form-no-acc_url">Войти</router-link></p>
        </form>

      </div>

      <footer class="footer">
        <p class="footer__copyright">© 2022 «CryptoUnicorn»</p>
      </footer>


    </div>
  </div>
</template>

<script>
export default {
  name: 'RegisterView'
}
</script>


<style lang="scss" scoped>

.auth {
  width: 100%;
  background-image: url('@/assets/images/auth__background.jpg');
  background-position: right;
  background-repeat: no-repeat;
  background-size: 50%;

  &__wrapper {
    margin: 0 auto;
    width: 90%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }

  &__content {
    &-top-text {
      font-size: 1vw;
      font-weight: 500;
      color: #101010ad;
      text-transform: uppercase;
    }

    &-title {
      font-size: 3vw;
      font-weight: 700;
      color: #101010;

      & > span {
        color: #C4B234;
      }
    }
  }

  &__form {
    margin-top: 2vw;
    width: calc(50% - 1vw);

    &-input-el {
      padding: .8vw;
      width: 30vw;
      background-color: #efefef;
      border-radius: 10px;
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin-bottom: 2.4vw;



      &-content {
        width: calc(100% - 4vw);

        &-title {
          font-size: 3vw;
          font-weight: 700;
          color: #101010;
        }

        &-label {
          font-size: .7vw;
          font-weight: 500;
          color: #101010ad;
          display: block;
        }

        &-input {
          width: 100%;
          height: 2vw;
          font-size: .9vw;
          font-weight: 500;
          color: #101010;
          background-color: unset;
          border: none;
        }
      }

      &-icon {
        display: flex;

        &_img {
          width: 2.5vw;
          height: 2.5vw;
        }
      }
    }

    &-btn {
      padding: .8vw 2vw;
      font-size: 1vw;
      font-weight: 500;
      color: #fff;
      background-color: #4B2D86;
      border: 2px solid #4B2D86;
      border-radius: 10vw;
    }

    &-no-acc {
      margin-left: 1vw;
      font-size: .9vw;
      font-weight: 400;
      color: #101010;
      display: inline-block;

      &_url {
        font-weight: 500;
      }
    }
  }



}

.header {
  padding: 2vw 0;
  display: flex;
  justify-content: space-between;

  &__container {
    width: calc(50% - 1vw);
    display: flex;
    align-items: center;
    &:last-of-type {
      justify-content: flex-end;
    }
  }

  &__icon {
    width: 4vw;
  }

  &__company-name {
    font-size: 1vw;
    font-weight: 500;
    color: #101010;
  }

  &__btn {
    padding: .8vw 2vw;
    background-color: white;
    border-radius: 50px;
    color: #4B2D86;
    cursor: pointer;
  }
}


.auth__content_title{
  font-weight: 500;
  font-size: 24px;
  line-height: 29px;
  text-transform: uppercase;
  color: rgba(16, 16, 16, 0.7);
}
.auth__content_subtitle{
  margin: 2.22vw 0;
  font-weight: 700;
  font-size: 48px;
  line-height: 59px;
  color: #101010;
}
.auth__form-btn {


  &-label{
    display: inline-block;
    background: #4B2D86;
    border-radius: 50px;
    cursor: pointer;
    height: 3vw;
    padding:1vw;
    color: white;

  }
}
.auth__form-btn{
  color: white;
}

.auth__form-acc {
  display: inline-block;
  margin-left:2vw;


}

.footer {
  padding: 1.5vw 0;
  width: calc(50% - 1vw);

  &__copyright {
    font-size: 1vw;
    font-weight: 500;
    color: #101010;
  }
}

</style>
